JBoss API: Class Info

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class Info

    java.lang.Object
      |
      +--org.jboss.util.Info

All Implemented Interfaces:
  InfoMBean, javax.management.MBeanRegistration

public class Info
extends java.lang.Object
implements InfoMBean, javax.management.MBeanRegistration

A simple mbean that dumps out info like the system properties, etc.

Version:
  $Revision: 1.5.4.3 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Scott.Stark@jboss.org

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Constructor Summary
`Info()`

Method Summary
`java.lang.String` | `displayPackageInfo(java.lang.String pkgName)` Display the java.lang.Package info for the pkgName
`java.lang.String` | `getThreadGroupInfo(java.lang.ThreadGroup group)`
`java.lang.String` | `listMemoryUsage()`
`java.lang.String` | `listSystemInfo()`
`java.lang.String` | `listThreadDump()`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`java.lang.String` | `runGarbageCollector()`
`void` | `traceInstructions(boolean flag)` Enable or disable tracing instructions the Runtime level.
`void` | `traceMethodCalls(boolean flag)` Enable or disable tracing method calls at the Runtime level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Constructor Detail

### Info

    public Info()

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### getThreadGroupInfo

    public java.lang.String getThreadGroupInfo(java.lang.ThreadGroup group)

### runGarbageCollector

    public java.lang.String runGarbageCollector()

  Specified by:
    `runGarbageCollector` in interface `InfoMBean`

### listMemoryUsage

    public java.lang.String listMemoryUsage()

  Specified by:
    `listMemoryUsage` in interface `InfoMBean`

### listSystemInfo

    public java.lang.String listSystemInfo()

  Specified by:
    `listSystemInfo` in interface `InfoMBean`

### listThreadDump

    public java.lang.String listThreadDump()

  Specified by:
    `listThreadDump` in interface `InfoMBean`

### displayPackageInfo

    public java.lang.String displayPackageInfo(java.lang.String pkgName)

  Display the java.lang.Package info for the pkgName
  Specified by:
    `displayPackageInfo` in interface `InfoMBean`

### traceMethodCalls

    public void traceMethodCalls(boolean flag)

  Enable or disable tracing method calls at the Runtime level.
  Specified by:
    `traceMethodCalls` in interface `InfoMBean`

### traceInstructions

    public void traceInstructions(boolean flag)

  Enable or disable tracing instructions the Runtime level.
  Specified by:
    `traceInstructions` in interface `InfoMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.